const defaults = require('@wordpress/scripts/config/webpack.config');
const path = require('path');

module.exports = {
  ...defaults,
  externals: {
    react: 'React',
    'react-dom': 'ReactDOM',
  },
  entry: {
      admin: './src/admin/index.js',
      frontend: './src/frontend/index.js',
      appointments: './src/appointments/index.js',
      'default-theme': './src/frontend/default-theme/style/index.css',
      'light-theme': './src/frontend/light-theme/style/index.css',
  },
  output: {
      path: path.resolve(__dirname, 'build'),
      filename: '[name].bundle.js',
  },
};
